Solved

nginx - ubuntu 8.04 LTS - php-fpm

Posted on 2010-11-29
2
1,130 Views
Last Modified: 2012-05-10
0  down vote  favorite
      

Hi all,

Does anyone know a repository which can be used to install php5-fpm for Ubuntu 8.04 LTS ? Can it be installed onto 8.04 LTS ?

Im currently usnig spwan-fcgi, but wanted to try php5-fpm to see the speed diference.

thanks
0
Comment
Question by:VantaBods
2 Comments
 
LVL 8

Accepted Solution

by:
kivan24 earned 500 total points
ID: 34237443

1

Edit /etc/apt/sources.list: add this lines
deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all
deb http://php53.dotdeb.org stable all
deb-src http://php53.dotdeb.org stable all
deb http://ppa.launchpad.net/jdub/devel/ubuntu hardy main

Open in new window


2

Import key, do update, and install Nginx
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys E9EEF4A1
aptitude update
aptitude install nginx

Open in new window


3

Install PHP-5.3, PHP-Fpm,  and Apache tools
apt-get install   php5 php5-common php5-fpm php5-curl php5-apc php5-gd  php-pear php5-imagick php5-imap php5-mcrypt php5-memcache  php5-mysql php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl apache2-utils

Open in new window


4

Edit nginx.conf, in /etc/nginx, edit php.ini in /etc/php5/fpm
Both services start automatically when the server starts, or the commands:
/etc/init.d/nginx   start/restart/stop
/etc/init.d/php5-fpm   start/restart/stop

Open in new window

0
 

Author Comment

by:VantaBods
ID: 34265874
thanks
0

Featured Post

U.S. Department of Agriculture and Acronis Access

With the new era of mobile computing, smartphones and tablets, wireless communications and cloud services, the USDA sought to take advantage of a mobilized workforce and the blurring lines between personal and corporate computing resources.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Things That Drive Us Nuts Have you noticed the use of the reCaptcha feature at EE and other web sites?  It wants you to read and retype something that looks like this.Insanity!  It's not EE's fault - that's just the way reCaptcha works.  But it is …
If you don't have the right permissions set for your WordPress location in IIS, you won't be able to perform automatic updates. Here's how to fix the problem.
The viewer will learn how to dynamically set the form action using jQuery.
The viewer will learn how to look for a specific file type in a local or remote server directory using PHP.

777 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question